Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: net::WlanSettings Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::WlanSettings Struct Reference

WLAN interface settings. More...

`import <Net.idl;`

## Public Attributes
boolean | enableHT
| Enable high throughput features (802::11n)
string | ssid
| SSID of the wireless network.
string | bssid
| BSSID (empty for automatic AP selection)
int | mtu
| Maximum Transfer Unit (MTU)
WlanSecProtocol | secProtocol
| Security protocol (WPA2)
WlanAuthType | authType
| Authentication type.
string | psk
| Pre-shared key (always empty on retrieval!)
boolean | clearPsk
| Set to `true` when PSK should be cleared.
EapAuthSettings | eap
| EAP Settings for 802::1x authentication.

## Detailed Description

WLAN interface settings.

Definition at line 273 of file Net.idl.

## Member Data Documentation

## ◆ authType

WlanAuthType net::WlanSettings::authType

Authentication type.

Definition at line 279 of file Net.idl.

## ◆ bssid

string net::WlanSettings::bssid

BSSID (empty for automatic AP selection)

Definition at line 276 of file Net.idl.

## ◆ clearPsk

boolean net::WlanSettings::clearPsk

Set to `true` when PSK should be cleared.

Definition at line 281 of file Net.idl.

## ◆ eap

EapAuthSettings net::WlanSettings::eap

EAP Settings for 802::1x authentication.

Definition at line 282 of file Net.idl.

## ◆ enableHT

boolean net::WlanSettings::enableHT

Enable high throughput features (802::11n)

Definition at line 274 of file Net.idl.

## ◆ mtu

int net::WlanSettings::mtu

Maximum Transfer Unit (MTU)

Definition at line 277 of file Net.idl.

## ◆ psk

string net::WlanSettings::psk

Pre-shared key (always empty on retrieval!)

Definition at line 280 of file Net.idl.

## ◆ secProtocol

WlanSecProtocol net::WlanSettings::secProtocol

Security protocol (WPA2)

Definition at line 278 of file Net.idl.

## ◆ ssid

string net::WlanSettings::ssid

SSID of the wireless network.

Definition at line 275 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl